import request from '@/utils/request'




// 获取动态表头
export function getHeaderList(patentTypes,applicantTypes) {

  let params={};
  params.patentTypes=patentTypes;
  params.applicantTypes=applicantTypes;
  console.log('patentTypes:'+patentTypes+',applicantTypes:'+applicantTypes)
  return request({
    url: '/report/rzlClassStatisticsInfo/getHeader',
    method: 'get',
    params: params
  })
}

// 获取查询年列表
export function getYearList() {
  return request({
    url: '/system/urPatentValid/getYearList',
    method: 'get'
  })
}
// 获取省市列表
export function getRegionList(data) {
  return request({
    url: '/system/bladeRegion/getDataList',
    method: 'post',
    data: data
  })
}



export function listPopulation(query) {
  return request({
    url: '/highval/rzgHighValueIewStatisticsInfo/listPopulation',
    method: 'get',
    params: query
  })
}
// 查询高价值专利-概况统计列表
export function listRzgHighValueIewStatisticsInfo(query) {
  return request({
    url: '/highval/rzgHighValueIewStatisticsInfo/list',
    method: 'get',
    params: query
  })
}

// 查询高价值专利-概况统计详细
export function getRzgHighValueIewStatisticsInfo(id) {
  return request({
    url: '/highval/rzgHighValueIewStatisticsInfo/' + id,
    method: 'get'
  })
}

// 新增高价值专利-概况统计
export function addRzgHighValueIewStatisticsInfo(data) {
  return request({
    url: '/highval/rzgHighValueIewStatisticsInfo',
    method: 'post',
    data: data
  })
}

// 修改高价值专利-概况统计
export function updateRzgHighValueIewStatisticsInfo(data) {
  return request({
    url: '/highval/rzgHighValueIewStatisticsInfo',
    method: 'put',
    data: data
  })
}

// 删除高价值专利-概况统计
export function delRzgHighValueIewStatisticsInfo(id) {
  return request({
    url: '/highval/rzgHighValueIewStatisticsInfo/' + id,
    method: 'delete'
  })
}
